filter_appointments:
  path: /
  controller: App\Appointment\FilterAppointments\FilterMyAppointmentsController::index

filter_all_appointments:
  path: /appointments/all
  controller: App\Appointment\FilterAppointments\FilterAllAppointmentsController::index

filter_organizing_appointments:
  path: /appointments/organizing
  controller: App\Appointment\FilterAppointments\FilterAppointmentsForOrganizerController::index

filter_organizing_appointments.xls:
  path: /appointments/organizing/xls
  controller: App\Appointment\FilterAppointments\FilterAppointmentsForOrganizerController::index
  defaults:
    type: xls

filter_organizing_attendees:
  path: /appointments/organizing/{id}/attendees
  controller: App\Appointment\ListAttendeesByAppointment\FilterAttendeesForOrganizerController::index

filter_organizing_appointments_export:
  path: /appointments/organizing/{id}/export
  controller: App\Appointment\ShowOrganizingXLS\ShowOrganizingXLSController::index

filter_all_appointments.xls:
  path: /appointments/all/xls
  controller: App\Appointment\FilterAppointments\FilterAllAppointmentsController::index
  defaults:
    type: all
    mime: xls

filter_all_appointments.info.xls:
  path: /appointments/all/info/xls
  controller: App\Appointment\FilterAppointments\FilterAllAppointmentsController::index
  defaults:
    type: info
    mime: xls

filter_all_appointments_with_projects.xls:
  path: /appointments/all/projects/xls
  controller: App\Appointment\FilterAppointments\FilterAllAppointmentsController::index
  defaults:
    type: all
    mime: xls
    condition: all-project

make_appointment:
  path: /appointments/{project}/make
  controller: App\Appointment\MakeAppointment\MakeAppointmentController::index

remove_appointment:
  path: /appointments/remove/{id}
  controller: App\Appointment\RemoveAppointment\RemoveAppointmentController::index

show_available_projects_for_appointment:
  path: /appointments/projects
  controller: App\Appointment\ShowAvailableProjectForAppointment\ShowAvailableProjectForAppointmentController::index



update_appointment:
  path: /appointments/update/{id}
  controller: App\Appointment\UpdateAppointment\UpdateAppointmentController::index

filter_users:
  path: /users
  controller: App\User\FilterUsers\FilterUsersController::index

filter_users.xls:
  path: /users/xls
  controller: App\User\FilterUsers\FilterUsersController::index
  defaults:
    mime: xls

add_user:
  path: /users/add
  controller: App\User\AddUser\AddUserController::index

update_user:
  path: /users/{id}
  controller: App\User\UpdateUser\UpdateUserController::index

activate_user:
  path: /activate/{token}
  controller: App\User\ActivateUser\ActivateUserController::index

toggle_user_locked:
  path: /user/toggle-locked
  controller: App\User\ToggleUserLocked\ToggleUserLockedController::index

add_attendee:
  path: /appointments/{id}/attendees/add
  controller: App\Appointment\AddAttendee\AddAttendeeController::index

replace_attendee:
  path: /appointments/{id}/attendees/{replaceAttendeeId}/replace
  controller: App\Appointment\AddAttendee\AddAttendeeController::index

list_attendees:
  path: /appointments/{id}/attendees
  controller: App\Appointment\ListAttendeesByAppointment\ListAttendeesByAppointmentController::index

remove_attendee:
  path: /appointments/{appointmentId}/attendees/{attendeeId}/remove
  controller: App\Appointment\RemoveAttendee\RemoveAttendeeController::index

add_attendee_parents_consent:
  path: /appointments/attendees/{attendeeId}/parent-consent
  controller: App\Appointment\AddParentalConsent\AddParentsConsentController::index

show_parents_consent:
  path: /appointments/attendees/parents-consent/{id}
  controller: App\Appointment\ShowParentsConsent\ShowParentsConsentController::index
  defaults:
    type: attendee

permanent_show_parents_consent:
  path: /appointments/permanent_attendees/parents-consent/{id}
  controller: App\Appointment\ShowParentsConsent\ShowParentsConsentController::index
  defaults:
    type: permanent_attendee

fos_user_security:
  resource: "@FOSUserBundle/Resources/config/routing/security.xml"

fos_user_profile:
  resource: "@FOSUserBundle/Resources/config/routing/profile.xml"
  prefix: /profile

fos_user_change_password:
  resource: "@FOSUserBundle/Resources/config/routing/change_password.xml"
  prefix: /profile

fos_user_registration:
  resource: "@FOSUserBundle/Resources/config/routing/registration.xml"
  prefix: /regisztracio

fos_user_resetting:
  resource: "@FOSUserBundle/Resources/config/routing/resetting.xml"
  prefix: /resetting

user_resetting_account_locked:
  path: /resetting-account-locked
  controller: Symfony\Bundle\FrameworkBundle\Controller\TemplateController
  defaults:
    template: bundles/FOSUserBundle/Resetting/account_locked.html.twig

filter_support_packages:
  path: /support-packages
  controller: App\SupportPackage\FilterSupportPackages\FilterSupportPackagesController::index

add_support_package:
  path: /support-packages/add
  controller: App\SupportPackage\AddSupportPackage\AddSupportPackageController::index

update_support_package:
  path: /support-packages/update/{id}
  controller: App\SupportPackage\UpdateSupportPackage\UpdateSupportPackageController::index

remove_support_package:
  path: /support-packages/remove/{id}
  controller: App\SupportPackage\RemoveSupportPackage\RemoveSupportPackageController::index

reserve_booking:
  path: /appointments/{id}/booking
  controller: App\Booking\UseCase\ResolveBooking\ResolveBookingController::index
  defaults:
    type: resolve

reserve_booking_remove:
  path: /appointments/{id}/booking/remove
  controller: App\Booking\UseCase\ResolveBooking\ResolveBookingController::index
  defaults:
    type: remove

show_admin_booking_calendar_template:
  path: /bookings
  controller: Symfony\Bundle\FrameworkBundle\Controller\TemplateController
  defaults:
    template: booking/admin.html.twig

show_admin_booking_calendar:
  path: /bookings/calendar
  controller: App\Booking\UseCase\ShowAdminBookingCalendar\ShowAdminBookingCalendarController::index

show_booking_calendar:
  path: /appointments/{id}/booking/calendar
  controller: App\Booking\UseCase\ShowBookingCalendar\Controller\ShowBookingCalendarController::index

subscribe_dates:
  path: /appointments/{id}/booking/subscribe
  controller: App\WaitingList\SubscribeForDates\SubscribeForDatesController::index

update_attendee:
  path: /appointments/{appointmentId}/attendees/{id}
  controller: App\Appointment\UpdateAttendee\UpdateAttendeeController::index

list_seasons:
  path: /seasons
  controller: App\Season\ListSeasons\ListSeasonsController::index

filter_attendees:
  path: /attendees
  controller: App\Appointment\FilterAttendees\FilterAttendeesController::index

filter_attendees.xls:
  path: /attendees/xls
  controller: App\Appointment\FilterAttendees\FilterAttendeesController::index
  defaults:
    type: full
    mime: xls

filter_attendees.info.xls:
  path: /attendees/info/xls
  controller: App\Appointment\FilterAttendees\FilterAttendeesController::index
  defaults:
    type: info
    mime: xls

add_bookable_date:
  path: /bookable-dates/add
  controller: App\Booking\UseCase\AddBookableDate\AddBookableDateController::index

batch_add_bookable_date:
  path: /bookable-dates/batch
  controller: App\Booking\UseCase\AddBatchBookableDate\AddBatchBookableDateController::index

filter_bookable_dates:
  path: /bookable-dates
  controller: App\Booking\UseCase\FilterBookableDates\FilterBookableDatesController::index

update_bookable_dates:
  path: /bookable-dates/{id}
  controller: App\Booking\UseCase\UpdateBookableDate\UpdateBookableDateController::index

remove_bookable_date:
  path: /bookable-dates/{id}/remove
  controller: App\Booking\UseCase\RemoveBookableDate\RemoveBookableDateController::index

change_current_project:
  path: /change-project/{projectName}
  controller: App\Project\UseCase\ChangeCurrentProject\ChangeCurrentProjectController::index

home_redirect:
  path: /home_redirect
  controller: App\User\LoginSuccess\LoginSuccessController::index

show_documents:
  path: /documents
  controller: Symfony\Bundle\FrameworkBundle\Controller\TemplateController
  defaults:
    template: documents/list.html.twig

upload_consent_document:
  path: /documents/{type}/upload
  controller: App\File\AddConsentFile\AddConsentFileController::index
  requirements:
    type: parent|teacher

download_consent_document:
  path: /documents/{type}
  methods: GET
  controller: App\File\ShowConsentFile\ShowConsentFileController::index
  defaults:
    download: 1
  requirements:
    type: parent|teacher

show_consent_document:
  path: /documents/{type}/show
  methods: GET
  controller: App\File\ShowConsentFile\ShowConsentFileController::index
  defaults:
    download: 0
  requirements:
    type: parent|teacher

update_appointment_override_booking:
  path: /appointments/{id}/override/booking
  controller: App\Appointment\UpdateAppointmentBookingOverride\UpdateAppointmentBookingOverrideController::index

filter_my_permanent_appointments:
  path: /permanent-appointments
  controller: App\PermanentAppointment\FilterPermanentAppointments\FilterMyPermanentAppointmentsController::index

add_permanent_appointments:
  path: /permanent-appointments/add
  controller: App\PermanentAppointment\AddPermanentAppointment\AddPermanentAppointmentController::index

update_permanent_appointments:
  path: /permanent-appointments/{id}
  controller: App\PermanentAppointment\UpdatePermanentAppointment\UpdatePermanentAppointmentController::index

remove_permanent_appointments:
  path: /permanent-appointments/remove/{id}
  controller: App\PermanentAppointment\RemovePermanentAppointment\RemovePermanentAppointmentController::index

filter_permanent_appointments_attendees:
  path: /permanent-appointments/{appointmentId}/attendees
  controller: App\PermanentAppointment\Attendee\FilterPermanentAttendees\FilterPermanentAppointmentAttendeesController::index

add_permanent_attendee:
  path: /permanent-appointments/{appointmentId}/attendees/add
  controller: App\PermanentAppointment\Attendee\AddPermanentAttendee\AddPermanentAttendeeController::index

update_permanent_attendee:
  path: /permanent-appointments/{appointmentId}/attendees/{attendeeId}
  controller: App\PermanentAppointment\Attendee\UpdatePermanentAttendee\UpdatePermanentAttendeeController::index

remove_permanent_attendee:
  path: /permanent-appointments/{appointmentId}/attendees/{attendeeId}/remove
  controller: App\PermanentAppointment\Attendee\RemovePermanentAttendee\RemovePermanentAttendeeController::index

show_available_projects_for_permament_appointment:
  path: /permanent-appointments/{appointmentId}/projects
  controller: App\Appointment\ShowAvailableProjectForAppointment\ShowAvailableProjectForPermanentAppointmentController::index

make_permanent_appointment:
  path: /permanent-appointments/{appointmentId}/{project}/make
  controller: App\PermanentAppointment\MakeAppointmentFromPermanent\MakeAppointmentFromPermanentController::index

filter_tour_types:
  path: /tour-types
  controller: App\TourType\FilterTourType\FilterTourTypeController::index

create_tour_type:
  path: /tour-types/create
  controller: App\TourType\CreateTourType\CreateTourTypeController::index

update_tour_type:
  path: /tour-types/{id}
  controller: App\TourType\UpdateTourType\UpdateTourTypeController::index

tour_type_info_document:
  path: /tour-types/{id}/info-document
  controller: App\TourType\ShowTourTypeInfoDocument\ShowTourTypeInfoDocumentController::index
